REM ---------------------------------------------------------------------
REM
REM Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
REM                        pour la Santé)
REM Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
REM
REM  This software is governed by the CeCILL-B license under French law and 
REM  abiding by the rules of distribution of free software. You can  use, 
REM  modify and/ or redistribute the software under the terms of the CeCILL-B 
REM  license as circulated by CEA, CNRS and INRIA at the following URL 
REM  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
REM  or in the file LICENSE.txt.
REM
REM  As a counterpart to the access to the source code and  rights to copy,
REM  modify and redistribute granted by the license, users are provided only
REM  with a limited warranty  and the software's author,  the holder of the
REM  economic rights,  and the successive licensors  have only  limited
REM  liability. 
REM
REM  The fact that you are presently reading this means that you have had
REM  knowledge of the CeCILL-B license and that you accept its terms.
REM ------------------------------------------------------------------------  

@echo off

set currentdir=%~dp0

echo Compile creaTools %buildtype% %platforme%
echo call %baseFolder%\cleanmod.bat %creatoolssource% %creatoolsGeneration% >> %logFolder%\creaToolsInstall.log 2>&1

call %baseFolder%\cleanmod.bat %creatoolssource% %creatoolsGeneration% >> %logFolder%\creaToolsInstall.log 2>&1
call %baseFolder%\cmakemod.bat %creatoolssource% %installPrefix% %creatoolsGeneration% >> %logFolder%\creaToolsInstall.log 2>&1
call %currentdir%\creaToolsVariables.bat %creatoolsGeneration% %creatoolssource% %docgeneration% %buildtype% %plateforme% >> %logFolder%\creaToolsInstall.log 2>&1

::call %baseFolder%\compilemod.bat %buildtype% %creatoolssource% %creatoolsGeneration% >> %logFolder%\creaToolsInstall.log 2>&1
set binfolder=%creatoolsGeneration%\c_%buildtype%%platforme%\cb\%creatoolssource%Bin
cd %binfolder%
mingw32-make.exe -j%NUMBER_OF_PROCESSORS% 
mingw32-make.exe package

move /Y %binfolder%\*.exe %creatoolsGeneration%\..\
::call %baseFolder%\ctestmod.bat %creatoolssource% %creatoolsGeneration% >> %logFolder%\creaToolsInstall.log 2>&1
echo end of creaTools compilation

exit