REM ---------------------------------------------------------------------
REM
REM Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image 
REM                        pour la Santé)
REM Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
REM
REM  This software is governed by the CeCILL-B license under French law and 
REM  abiding by the rules of distribution of free software. You can  use, 
REM  modify and/ or redistribute the software under the terms of the CeCILL-B 
REM  license as circulated by CEA, CNRS and INRIA at the following URL 
REM  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html 
REM  or in the file LICENSE.txt.
REM
REM  As a counterpart to the access to the source code and  rights to copy,
REM  modify and redistribute granted by the license, users are provided only
REM  with a limited warranty  and the software's author,  the holder of the
REM  economic rights,  and the successive licensors  have only  limited
REM  liability. 
REM
REM  The fact that you are presently reading this means that you have had
REM  knowledge of the CeCILL-B license and that you accept its terms.
REM ------------------------------------------------------------------------  

@echo off

echo cleaning prefix
call %baseFolder%\cleangeneral.bat %creatoolsGeneration% %installPrefix%

echo downloading creatools software

::goto SkipEED1
:SkipEED1

::set creatoolsBranch=vtk8itk5wx3-mingw64
set creatoolsBranch=vtk8itk5wx3-macos


echo echo tmp.sh > tmp.sh
set creatoolsGeneration2=%creatoolsGeneration:\=/%
echo mkdir %creatoolsGeneration2% 														>> tmp.sh
echo mkdir %creatoolsGeneration2%/cs 													>> tmp.sh
echo cd %creatoolsGeneration2%/cs    													>> tmp.sh


echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%creasource% 					>> tmp.sh
echo cd %creasource%   																	>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh


echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%bbtksource%  					>> tmp.sh
echo cd %bbtksource%   																	>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh

echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%creamaracassource%  			>> tmp.sh
echo cd %creamaracassource%   															>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh

echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%creavtksource%  				>> tmp.sh
echo cd %creavtksource%   																>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh

echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%creaenvironmentsource%  		>> tmp.sh
echo cd %creaenvironmentsource%   														>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh

echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%creabrukersource%	  			>> tmp.sh
echo cd %creabrukersource%   															>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh

echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%creaimagesource%  				>> tmp.sh
echo cd %creaimagesource%   															>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh

echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%creacontourssource%  	     	>> tmp.sh
echo cd %creacontourssource%   															>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh

echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%crearigidregistrationssource%  	>> tmp.sh
echo cd %crearigidregistrationssource%   												>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh

echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%bbtkgeditorsource%  			>> tmp.sh
echo cd %bbtkgeditorsource%   															>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh

echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%creaminitoolssource%  			>> tmp.sh
echo cd %creaminitoolssource%   														>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh


echo git clone ssh://gitolite@git.creatis.insa-lyon.fr/%creatoolssource%  				>> tmp.sh
echo cd %creatoolssource%   															>> tmp.sh
echo git checkout %creatoolsBranch%														>> tmp.sh
echo cd .. 	 		 																	>> tmp.sh



echo call gitcall.bat "%cd%\tmp.sh"
call gitcall.bat "%cd%\tmp.sh"

echo 
echo 
echo end of downloading creatools software
 
exit
 
