

echo thirdpartyGeneration=%thirdpartyGeneration%
echo buildType=%buildType%
echo wxStable=%wxStable%

echo -----------------------------------
echo ---End Setting Global Variables----
echo -----------------------------------

echo -----------------------------------
echo -------Calling Scripts-------------
echo -----------------------------------

echo starting time
time /t
date /T

set scripts=%cd%\scripts
set LogFolder=%thirdpartyGeneration%\installLog


if %EEDclean%==FALSE GOTO SKIPCLEAN
cd %scripts%
echo cleaning All
call cleanAll.bat %thirdpartyGeneration%
:SKIPCLEAN


if %EEDdownload%==FALSE GOTO SKIPDOWNLOAD
cd %scripts%
echo Calling download_ThirdPartySW.bat
call download_ThirdPartySW.bat %thirdpartyGeneration% %buildType% %wxStable% >> %LogFolder%\downloadSources.log 2>&1
:SKIPDOWNLOAD


if %EEDinstall%==FALSE GOTO SKIPINSTALL
cd %scripts%
echo Calling install_thirdparty.bat
call install_thirdparty_all.bat %thirdpartyGeneration% %buildType% %forcex86%
:SKIPINSTALL

if %EEDinstallerDLL%==FALSE GOTO SKIPINSTALLERDLL
echo Calling generateThirdPartydllsExe.bat
cd %scripts%
call generateThirdPartydllsExe.bat %thirdpartyGeneration% %buildType% %forcex86%
:SKIPINSTALLERDLL


:: if %EEDinstallerLibraries%==FALSE GOTO SKIPINSTALLERLIBRARIES
:: echo Calling generateThirdPartyLibExe.bat
:: cd %scripts%
:: call generateThirdPartyLibExe.bat %thirdpartyGeneration% %buildType% %forcex86%
:: :SKIPINSTALLERLIBRARIES


cd..

echo -----------------------------------
echo -------End of the Script-----------
echo -----------------------------------

echo ending time
time /t
date /T
